Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the CPAN-Reporter CPAN distribution.

Report information
The Basics
Id: 37437
Status: resolved
Priority: 0/
Queue: CPAN-Reporter

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.16
Fixed in: (no value)



Subject: PERL5OPT=...-MDevel::Autoflush causes false FAILs
It seems that the new PERL5OPT trick for using Devel::Autoflush in CPAN::Reporter sometimes causes an *old* version of a module to be used while testing. I just observed a failure when testing Module::CoreList --- the already installed one on my machine is 2.08, and the newest is 2.15, introducing a new method. If I call "test Module::CoreList" from the CPAN shell, then there's an error: ... PERL_DL_NONLAZY=1 /usr/local/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/corelist........Can't locate object method "first_release_by_date" via package "Module::CoreList" at t/corelist.t line 23. # Looks like you planned 13 tests but only ran 7. # Looks like your test died just after 7. dubious Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED tests 8-13 Failed 6/13 tests, 53.85% okay ... If I run the test from the same directory by hand, everything works OK. I can reproduce the error if I try to emulate the PERL5OPT trick in the shell: $ env PERL5OPT="-I/usr/local/lib/perl5/site_perl/5.8.8 -MDevel::Autoflush" make test Regards, Slaven
Fixed in 1.1601


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.